:host {
  display: flex;
  flex-direction: column;

  .mat-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-grow: 1;

    > .mat-card-content {
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      align-items: center;

      > * {
        flex-grow: 1;
      }
    }

    > .mat-card-actions {
      display: flex;
      flex-direction: column;
      align-items: center;

      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  ::ng-deep {
    .mat-chip-list-wrapper {
      justify-content: center;
    }
  }

  $logo-size: 4.5rem;
  figure {
    display: grid;
    grid-template-columns: repeat(2, $logo-size);
    grid-template-rows: repeat(2, $logo-size);
    justify-items: center;
    align-items: center;
    gap: .5rem;

    &.grid-col-3 {
      grid-template-columns: repeat(3, $logo-size);
    }

    img {
      max-width: $logo-size;
      max-height: $logo-size;
    }
  }

  .mat-chip-list {
    margin: 1rem 0;
  }

  .space-time {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: .5rem;
    align-items: center;
  }

  .mat-button-base {
    width: 100%;
    margin-bottom: .5rem;

    &:last-of-type {
      margin-bottom: 0;
    }
  }
}
